fields

## Class Ambles

- java.lang.Object
- - fields.Ambles

-     public class Ambles
      extends java.lang.Object

  Model for the WM-Bus preambles and post-ambles
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Ambles.Postamble`
    `static class` | `Ambles.Preamble`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.Byte[]` | `postambleSR`
    `private static java.lang.Byte[]` | `preambleR`
    `private static java.lang.Byte[]` | `preambleS1`
    `private static java.lang.Byte[]` | `preambleS2`
    `private static java.lang.Byte[]` | `preambleT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ambles()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.lang.Byte[]` | `calculatePreamble(int n, java.lang.String appendix)` Concatenates preamble bits from n times "01" and an appendix

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### postambleSR

          private static final java.lang.Byte[] postambleSR

    - #### preambleR

          private static final java.lang.Byte[] preambleR

    - #### preambleS1

          private static final java.lang.Byte[] preambleS1

    - #### preambleS2

          private static final java.lang.Byte[] preambleS2

    - #### preambleT

          private static final java.lang.Byte[] preambleT

  - ### Constructor Detail

    - #### Ambles

          public Ambles()

  - ### Method Detail

    - #### calculatePreamble

          private static java.lang.Byte[] calculatePreamble(int n,
                                                            java.lang.String appendix)

      Concatenates preamble bits from n times "01" and an appendix
      Parameters:
        `n` - how many times to include "01"
        `appendix` - preamble trailer
      Returns:
        resulting preamble in Byte[ ]